---
lang: en
title: 'API docs: context.contexteventobserver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contexteventobserver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextEventObserver](./context.contexteventobserver.md)

## ContextEventObserver type

Context event observer type - An instance of `ContextObserver` or a function

**Signature:**

```typescript
export type ContextEventObserver = ContextObserver | ContextObserverFn;
```
**References:** [ContextObserver](./context.contextobserver.md)<!-- -->, [ContextObserverFn](./context.contextobserverfn.md)


